Smart variable doesn't show error on new variable
Status: Closed   

Priority: Normal   

Assignee: Tom Caspy   

Category: Parameters   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2693

  

Description

Steps to reproduce:

1. create a new smart variable with parameter type integer and a matcher with the value 'abc'

2. try to save the puppetclass

Expected result: tab becomes red, next to value an error message "is invalid integer"

Actual result: the variable disappears and the puppetclass can't be saved

Workaround for now: save the puppetclass when the variable is empty (only parameter, type and default value) and then edit.

When the variable is updated the validations are shown correctly.

Related issues:

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

Related to Foreman - Bug #8416: Puppetclasses edit n+1 query Closed 11/16/2014

Associated revisions

Revision de65857c - 10/26/2015 07:57 AM - Tom Caspy

fixes #9981 - making sure lookup_keys with errors get displayed if they're broken

History

#1 - 04/01/2015 02:24 AM - Ori Rabin

- Related to Tracker #4470: Usability of parameters and overrides added

#2 - 09/01/2015 06:24 PM - Walden Raines

- Status changed from New to Assigned

- Assignee set to Walden Raines

#3 - 09/04/2015 01:44 PM - Walden Raines

There are, in fact, two issues here.

1.  If you don't enter a key then it saves the puppet class but does not attempt to save the new smart variable at all and spits you out on the

puppetclasses list page

2.  If you enter a key and also enter an invalid default value (a string for an int, for example) then the form marks itself as invalid but does not specify

what the actual issue is

#4 - 09/09/2015 06:10 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2693 added

- Pull request deleted ()

#5 - 09/09/2015 06:13 AM - Ori Rabin
- Assignee changed from Walden Raines to Tom Caspy

#6 - 09/10/2015 05:05 AM - Dominic Cleal

- Related to Bug #8416: Puppetclasses edit n+1 query added

#7 - 10/26/2015 07:58 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#8 - 10/26/2015 08:01 AM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset de65857c3ebc9717d1796e9c99c7e1fceeffa8d2.
